Bug 267748 - Reload on rekonq's internal error page doesn't work with Keyboard shortcut or toolbar button
Summary: Reload on rekonq's internal error page doesn't work with Keyboard shortcut or...
Status: RESOLVED FIXED
Alias: None
Product: rekonq
Classification: Applications
Component: general (show other bugs)
Version: 0.6.85
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Andrea Diamantini
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-05 23:12 UTC by Frank Steinmetzger
Modified: 2011-03-26 19:39 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Frank Steinmetzger 2011-03-05 23:12:00 UTC
Version:           0.6.85 (using KDE 4.6.0) 
OS:                Linux

When there was an error during the loading of a page (e.g. my connection likes to break down out of the blue), rekonq eventually shows its internal error page (the grey one with the white text box in the middle and a [Try again] button). From there a site can only be reloaded if one clicks on said button. Using the reload button in the toolbar has no effect, as does the shortcut Ctrl+R.

Reproducible: Always

Steps to Reproduce:
For easy reproducability, go to some site that doesn’t exist (->isn’t reachable), for example http://some.example.page.thatdoesnotexist.com/
Rekonq now shows me the error page.

Actual Results:  
When I click the [Try again] button, I can see the address bar’s progress bar going up for a short moment, indicating that rekonq is trying to reload the page. But if I click the toolbar’s reload button or press Ctrl+R, that bar doesn’t appear.
Comment 1 Andrea Diamantini 2011-03-26 19:39:34 UTC
Git commit 7d6797239ca769f12a3f56bdbf3da09a7428c48a by Andrea Diamantini.
Committed on 26/03/2011 at 19:44.
Pushed by adjam into branch 'master'.

Reload (also) about pages with the reload button

Another fantastic patch by Johannes Troscher

BUG:267748

M  +9    -2    src/mainview.cpp     

http://commits.kde.org/rekonq/7d6797239ca769f12a3f56bdbf3da09a7428c48a